Subject: Re: Piped Commands Loss Of Output
From: [email-masked] (Chris Faylor)

4 Dec 1997 11:00:29 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Jason Tishler  <[email-masked]> wrote:
>Has anyone noticed a transient loss of output with piped commands
>similar to the following:
>
>    $ fgrep export .bashrc | wc
>         12      30     339
>    $ fgrep export .bashrc | wc
>    $
>
>[snip]
>
>I am using b18 with Sergey's coolview 25 Nov 97.  I seem to remember
>that I began to observe this problem when I upgraded to one of Sergey's
>coolview ?? Sept 97 versions.  Has anyone observed this too?  Anyone
>know whats wrong?

I've observed this.  I added this to my .profile to "fix" the problem.
Maybe it will work for you:

	trap '' 5

In cygwin B18, signal 5 is SIGHUP.  I think there is a problem in recent
coolviews with the way SIGHUP is propagated to members of a process group.

The `trap' command merely causes the shell to ignore hangup signals.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".